/*! الخطوط */
@import url('https://fonts.googleapis.com/css2?family=Changa:wght@200..800&display=swap');

/* @font-face {
    font-family: "font_main";
    src: url("../fonts/Changa-VariableFont_wght.ttf");
}

@font-face {
    font-family: "font_bold";
    src: url("../fonts/Almarai/Almarai-Bold.ttf");
}

@font-face {
    font-family: "font_extra-bold";
    src: url("../fonts/Almarai/Almarai-ExtraBold.ttf");
}

@font-face {
    font-family: "font_light";
    src: url("../fonts/Almarai/Almarai-Light.ttf");
} */


/*! الألوان الرئيسية */
:root {
    --white-color: #fff;
    --black-color: #000;
    --main-color: rgba(53, 50, 114, 1);
    --bg-color: rgba(98, 94, 217, 0.05);
    --text-color: rgba(0, 0, 0, 0.8);
}

body {
    font-family: "Changa", sans-serif;
    overflow-x: hidden;

}

::selection {
    background-color: rgba(98, 94, 217, 0.926);
    color: var(--white-color);
}

* {
    padding: 0;
    margin: 0;
    text-decoration: none;
    outline: none;
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
}

*:focus {
    outline: none;
}

a {
    text-decoration: none;
    color: inherit;
}

ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

button:focus,
a {
    outline: none;
}

button {
    border: none;
}

*:focus {
    outline: none;
}


h1,
h2,
h3,
h4,
h5,
h6,
p,
figure {
    margin: 0;
}

img {
    width: 100%;
    height: 100%;
}

/*! ================ Globals ================ */
.main-container {
    width: 90%;
    margin: 0 auto;
}

.section {
    padding-block: 60px;
    margin-top: 80px;
}
.section-not-mt {
    padding-block: 60px;
}
.bg {
    background-color: var(--bg-color);
}


/*! ================ Main-Title ================ */
.main-title {
    width: 80%;
    margin: auto;
    text-align: center;
}
.main-title .title {
    position: relative;
    width: fit-content;
    margin: auto;
}
.main-title .title h2 {
    font-size: clamp(30px, 4vw, 48px);
    font-weight: 600;
    text-align: center;
    color: var(--main-color);
    padding-bottom: 10px;
}
.main-title .title::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 3px;
    /* background-image: linear-gradient(to right, rgba(52, 50, 115, 1), rgba(98, 94, 217, 0.5)); */
    background: linear-gradient( 90deg, rgba(52, 50, 115, 1), rgba(98, 94, 217, 0.5), rgba(52, 50, 115, 1));
    bottom: 0;
    left: 50%;
    transform: translateX(-50%) scaleX(1);
    transform-origin: center;
    animation: stretchLine 2.2s ease-in-out infinite;
}

@keyframes stretchLine {
    0% {
        transform: translateX(-50%) scaleX(1);
    }

    50% {
        transform: translateX(-50%) scaleX(0.2);
        opacity: 0.7;
    }

    100% {
        transform: translateX(-50%) scaleX(1);
    }
}

.main-title .info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    padding-top: 20px;
    line-height: 1.5;
}
.main-title .info .heading h3 {
    font-size: clamp(20px, 4vw, 40px);
    font-weight: 600;
}

.main-title h2 img {
    width: 40px;
    height: 35px;
    object-fit: contain;
}

.main-title p {
    font-size: clamp(16px, 3vw, 20px);
    font-weight: 400;
    padding-right: 40px;
}

/*! ================ Main-Btn ================ */
.secondary-btn,
.main-btn {
    width: fit-content;
    background-color: var(--main-color);
    color: var(--white-color);
    font-size: clamp(12px, 3vw, 16px);
    font-weight: 700;
    padding: 10px 20px;
    border-radius: 15px;
    display: inline-flex;
    justify-content: space-around;
    /* flex-direction: row-reverse; */
    align-items: center;
    gap: 10px;
    transition: all 0.3s ease;
    text-decoration: none;
    border: none;
    cursor: pointer;
}
.secondary-btn {
    background-color: var(--white-color);
    color: var(--main-color);
}
.arrow {
    width: 22px;
    height: 22px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    transform: rotate(0deg);
    transition: all 0.3s ease-in-out;
}

/* Hover Button */
.main-btn:hover {
    background-color: #625ED9;
    transform: scale(1.06);
    transform: translateY(-2px);
    box-shadow: 0 6px 20px rgba(0, 139, 170, 0.05);
}

.main-btn:hover .arrow,
.secondary-btn:hover .arrow {
    transform: rotate(-20deg);
}

.secondary-btn:hover {
    transform: translateY(-2px);
    transform: scale(1.06);
    box-shadow: 0 6px 20px rgba(0, 139, 170, 0.05);
}
.third-btn {
    background-color: var(--white-color);
    color: var(--main-color);
}

.third-btn:hover {
    color: var(--white-color);
}


.pages {
    height: 100%;
}

/* head-title */
.heading-title {
    background-color: var(--main-color);
    color: var(--white-color);
    width: 100%;
    height: 100px;
}
.heading-title .content h2 {
    font-size: clamp(24px, 5vw, 27px);
    font-weight: 500;
}

.main-title .info .heading h3 span {
    color: var(--main-color);
}
.main-title .info p {
    font-size: clamp(14px, 3vw, 18px);
}

/*! ================ Main-Btn ================ */
/***** Btn View All *****/
.btn-view-All {
    color: var(--main-color);
    font-size: clamp(17px, 3vw, 25px);
    font-weight: 600;
    display: flex;
    justify-content: end;
    align-items: center;
    gap: 7px;
    margin-block: 20px;
    width: fit-content;
    margin-left: auto;
    position: relative;
    transition: 0.3s ease;
}
.btn-view-All img {
    width: 28px;
    height: 28px;
    background-color: var(--main-color);
    border-radius: 50%;
    padding: 5px;
    transition: 0.3s ease;
}
.btn-view-All::after {
    content: "";
    position: absolute;
    bottom: -4px;
    left: 50%;
    transform: translateX(-50%);
    width: 0%;
    height: 2px;
    background: var(--main-color);
    transition: 0.4s ease;
}
/* Hover Btn */
.btn-view-All:hover::after {
    width: 100%;
}
.btn-view-All:hover img {
    transform: translateX(6px) rotate(-15deg);
    background-color: rgba(52, 50, 115, 0.85);
}
.btn-view-All:hover {
    letter-spacing: 0.5px;
}
